# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'doctest/core/version'

Gem::Specification.new do |spec|
  spec.name          = "doctest-core"
  spec.version       = Doctest::Core::VERSION
  spec.authors       = ["Heiko Zeus"]
  spec.email         = ["heiko.zeus@zweitag.de"]
  spec.description   = %q{Extract doctests from ruby files}
  spec.summary       = %q{This aims to provide the basis for elixir-like doctests. It should be used by test-framework-specific gems}
  spec.homepage      = "https://github.com/hzeus/doctest-core"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"

  spec.add_development_dependency "rspec"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "pry"
end
